summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorJohannes Huber <johu@gentoo.org>2018-05-11 17:18:42 +0200
committerJohannes Huber <johu@gentoo.org>2018-05-11 17:18:42 +0200
commit225a03c0430e0214f363de9f2bbf19cdebc7860f (patch)
treef8525ae84d5fae17ec0f04d1d8e37343878736f6
parentmedia-fonts/sil-arabicfonts: Version bump 2.100 (diff)
downloadgentoo-225a03c0430e0214f363de9f2bbf19cdebc7860f.tar.gz
gentoo-225a03c0430e0214f363de9f2bbf19cdebc7860f.tar.bz2
gentoo-225a03c0430e0214f363de9f2bbf19cdebc7860f.zip
media-fonts/sil-gentium: Revision bump 5.000-r1
EAPI 6. Package-Manager: Portage-2.3.36, Repoman-2.3.9
-rw-r--r--media-fonts/sil-gentium/sil-gentium-5.000-r1.ebuild40
1 files changed, 40 insertions, 0 deletions
diff --git a/media-fonts/sil-gentium/sil-gentium-5.000-r1.ebuild b/media-fonts/sil-gentium/sil-gentium-5.000-r1.ebuild
new file mode 100644
index 00000000000..6401bad6732
--- /dev/null
+++ b/media-fonts/sil-gentium/sil-gentium-5.000-r1.ebuild
@@ -0,0 +1,40 @@
+# Copyright 1999-2018 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=6
+
+inherit font
+
+MY_PN="GentiumPlus"
+MY_P="${MY_PN}-${PV}"
+DESCRIPTION="Gentium Plus unicode font for Latin and Greek languages"
+HOMEPAGE="http://scripts.sil.org/gentium"
+SRC_URI="http://scripts.sil.org/cms/scripts/render_download.php?format=file&media_id=${MY_P}.zip&filename=${MY_P}.zip -> ${P}.zip
+ compact? ( http://scripts.sil.org/cms/scripts/render_download.php?format=file&media_id=GentiumPlusCompact-${PV}b.zip&filename=GentiumPlusCompact-${PV}.zip -> ${MY_PN}Compact-${PV}.zip )"
+
+LICENSE="OFL-1.1"
+SLOT="0"
+KEYWORDS="~alpha ~amd64 ~arm ~hppa ~ia64 ~ppc ~ppc64 ~s390 ~sh ~sparc ~x86 ~x86-fbsd ~ppc-macos ~x64-macos ~x86-macos"
+IUSE="compact doc"
+
+DEPEND="app-arch/unzip"
+RDEPEND=""
+
+DOCS="GENTIUM-FAQ.txt OFL-FAQ.txt"
+FONT_SUFFIX="ttf"
+
+S="${WORKDIR}/${MY_PN}-${PV}"
+FONT_S="${S}"
+
+src_unpack() {
+ unpack ${A}
+
+ if use compact; then
+ mv "${WORKDIR}"/${MY_PN}Compact-${PV}/*.${FONT_SUFFIX} "${FONT_S}" || die
+ fi
+}
+
+src_install() {
+ font_src_install
+ use doc && dodoc -r "${S}"/documentation
+}